Page MenuHomePhabricator

Please anchor the deployment schedule to a DST timezone, not UTC
Closed, ResolvedPublic

Description

Historically, the deployment schedule has always been anchored to Pacific Time, meaning that the times of the deployment windows shift (in UTC terms) by an hour when daylight savings starts/ends in the US. Some time this summer, the deployment schedule became anchored to UTC instead, so that a few weeks ago, for the first time, the regularly scheduled SWAT deployments shifted by an hour in places that observe DST.

I understand the appeal of using UTC, but almost every SWAT deployer and almost every SWAT customer lives in a place that observes DST. Because the SWAT windows have shifted back an hour in people's workdays, many SWAT deployers are suddenly unavailable. This is particularly problematic for the 18:00 UTC window, which moved from 11am PDT to 10am PST. Most deployers who frequently do this SWAT (myself included) have team meetings at 10am. The confusion around this (it wasn't announced and happened right before TechConf and the RelEng offsite) also caused some 3pm SWATs to be missed, as people were slow to adjust their days to the new schedule.

Could we please change this back and move the SWATs to 11am and 4pm again?

Details

Related Gerrit Patches:
mediawiki/tools/release : masterAnchor deployment calendar to DST timezone

Event Timeline

Catrope created this task.Nov 26 2019, 11:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 26 2019, 11:49 PM
thcipriani triaged this task as Medium priority.Nov 27 2019, 12:20 AM

Could we please change this back and move the SWATs to 11am and 4pm again?

yeah, inadvertent effect of moving towards using the new calendar script. The underlying Deployment Schedule module accepts SF as an alias for America/Los_Angeles, so just need to change the times in deployment-calendar.json.

Change 553221 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[mediawiki/tools/release@master] Anchor deployment calendar to DST timezone

https://gerrit.wikimedia.org/r/553221

Change 553221 merged by jenkins-bot:
[mediawiki/tools/release@master] Anchor deployment calendar to DST timezone

https://gerrit.wikimedia.org/r/553221

thcipriani closed this task as Resolved.Dec 3 2019, 4:23 PM
thcipriani claimed this task.

Thanks for this task, should be resolved with the calendar for this week.